#ifndef _XHANABI_DispP_h_INCLUDED_
#define _XHANABI_DispP_h_INCLUDED_

#include "Disp.h"

#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xatom.h>
#include <X11/keysym.h>
#include <X11/xpm.h>

typedef struct _Disp {
  Display * display;
  int screen;
  Window window;
  Colormap colormap;
  int width, height;
  unsigned int depth;

  GC gc_background;
  GC gc_draw;
} _Disp;

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
